<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ConvertSecurity.aspx.cs" Inherits="Sitecore.V6DBConversion.ConvertSecurityPage" %>
<%@ Import Namespace="System.ComponentModel"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Transfer Security</title>
</head>
<body>
 <table width="100%">
 <tr>
   <td width="50%" style="vertical-align:top;">
    <form id="mainForm" runat="server">     
     <asp:MultiView id="mlvTransferAccounts" runat="server" ActiveViewIndex="0">
        <asp:View ID="viewTASimple" runat="server">
         <h1>Transfer Accounts</h1>
          <asp:MultiView runat="server" ID="mlvTASecurityDatabases">
           <asp:View ID="viewSDEmptyList" runat="server">
            You haven't specified any security database
           </asp:View>
           <asp:View ID="viewSDMain" runat="server">
            Users and roles from the v5.3 security databases will be moved into the ASP.NET membership and role tables of the database 
            that is configured to store security information (by default the "core" database). 
            <br /><br />
            Select database(s) to process:
            <asp:CheckBoxList ID="lstSecurityDatabases" runat="server" />
            <asp:Button ID="btnTASimpleStart" Text="Process" runat="server" OnClick="btnTASimpleStart_Click" />
           </asp:View>
          </asp:MultiView>
        </asp:View>
        
        <asp:View ID="viewTAAdvanced" runat="server">
         <h1>Transfer security accounts to the new format</h1>
         <table border="0" cellspacing="0" cellpadding="4">
           <tr>
             <td>Security database:</td>
             <td><asp:DropDownList id="lstDatabase" runat="server" Width="160px" /></td>
           </tr>
           <tr>
             <td>Target domain:</td>
             <td><asp:DropDownList id="lstDomain" runat="server" Width="160px" /></td>
           </tr>
           <tr style="display:none;">
             <td colspan="2"><asp:CheckBox id="cbPreserveIds" runat="server" Checked="false"/>Preserve security item ids?</td>
           </tr>
           <tr>
             <td colspan="2"><asp:CheckBox id="cbClear" runat="server" Checked="false"/>Clear target domain before transferring?</td>
           </tr>
           <tr>
             <td colspan="2"><asp:CheckBox id="cbCanLogIn" runat="server" Checked="false"/>Add an ability to login to backend.</td>
           </tr>        
           <tr>
             <td colspan="2"><asp:Button id="btnStart" runat="server" text="Start" OnClick="btnStart_Clicked"/></td>
           </tr>
          </table>        
        </asp:View>
     </asp:MultiView>
       
     <asp:MultiView id="mlvConvertSecurityField" runat="server" ActiveViewIndex="0">
        <asp:View ID="viewCSFSimple" runat="server">
          <h1>Convert Security Fields</h1>
          <asp:MultiView ID="mlvContentDatabases" runat="server">
           <asp:View ID="viewCDEmptyList" runat="server">
            You haven't specified any content database
           </asp:View>
           <asp:View ID="viewCDMain" runat="server">
             In v6, assigned access rights are stored in a new format. <br />
             All "Security" fields and "Field Security" fields will be updated to use the new format. 
             <br /><br />
             Select database(s) to process:
             <asp:CheckBoxList ID="lstContentDatabases" runat="server" />
             <asp:Button ID="btnCSFSimpleProcess" runat="server" Text="Process" OnClick="btnCSFSimpleProcess_Click" />
           </asp:View>
          </asp:MultiView>
        </asp:View>
        <asp:View ID="viewCSFAdvanced" runat="server">
       
         <h1>Convert security fields to the new format</h1>
         <table>      
          <tr>
           <td colspan="4">To perform fields udpating, domain/database mapping should be specified:</td>
          </tr>
          <tr> <td>Old domain name</td><td>Database name</td><td>Domain name</td>
          </tr>
          <asp:Repeater ID="rptMapping" runat="server" OnItemDataBound="rptMapping_OnItemDataBound">
           <ItemTemplate>
             <tr>
               <td><asp:TextBox ID="txtOldDomain" runat="server" Width="145px" /></td>
               <td><asp:DropDownList ID="lstDatabase" runat="server" Width="145px"/></td>
               <td><asp:DropDownList ID="lstDomain" runat="server" Width="145px"/></td>            
               <td><asp:LinkButton ID="btnRemove" runat="server" 
                           CommandName="Remove" 
                           OnCommand="LinkRemove_Command"
                           CommandArgument="<%# Container.ItemIndex.ToString() %>"
                           CausesValidation="false">Remove</asp:LinkButton></td>
            </tr>
          </ItemTemplate>
         </asp:Repeater>
          <tr><td colspan="4"><asp:Label ID="lblError" runat="server" style="color:Red;" /></td></tr>
          <tr>
           <td colspan="2">
           <asp:Button ID="btnAddMapping" 
              Text="Add Mapping" 
              runat="server" 
              OnClick="btnAddMapping_OnClick"
              CausesValidation="false" /></td> 
          </tr>
        </table> 
        <br />
        
        <span width="200px">Content database to process:</span>
        <asp:DropDownList id="lstContentDatabase" runat="server" Width="145px" />
        
        <div><asp:CheckBox id="cbConvertFieldsWithWarnings" runat="server" Checked="false"/>Convert field with warnings? (If checked you may loose some security information)</div>
        <div><asp:Button id="btnConvert" runat="server" text="Convert field values" OnClick="btnConvert_Clicked" CausesValidation="true"/></div>
        <div><asp:Button id="btnConvertFieldSecurity" runat="server" text="Convert 'field security'" OnClick="btnConvertFieldSecurity_Clicked" CausesValidation="true" /></div>
       </asp:View>
      </asp:MultiView>
     </form>      
      <br />
      <a href="ManualConversion.aspx">Back to main page</a>
   </td>
   <td width="50%">
     <asp:Panel runat="server" ID="pnlResponse" align="top" Width="100%" Height="600px">
     </asp:Panel>
   </td>
   </tr>
 </table>    
</body>
</html>
