declare
	"excludeSubitemsFieldID" char(32) := 'B2DE3E66259C764ABF4728BA531F7EA8';
	"proxyTypeFieldID" char(32) := '9658A5E458CF9C4C8284F01B141B0E85';
	"sourceItemFieldID" char(32) := '351521C5A7E9144284BC93F240A23602';
	"fieldTypeFieldID" char(32) := 'C02C16AB80DCBF4A8871998EE5D7BA32';
begin
INSERT INTO "SharedFields" ("ItemId", "FieldId", "Value", "Created", "Updated")
SELECT "ItemId",
       "proxyTypeFieldID", 
       CASE TO_CHAR("Value")
         WHEN '1' THEN 'Root item only'
         ELSE 'Entire sub-tree'
        END,
       "Created",
       "Updated"
FROM "SharedFields" 
WHERE "FieldId" = "excludeSubitemsFieldID"
UNION
-- Default value for 'Exclude Subitems' was 'false'
SELECT "ItemId",
       "proxyTypeFieldID", 
	   'Entire sub-tree',
	   "Created",
       "Updated"
FROM "SharedFields" "sf"
WHERE "FieldId" = "sourceItemFieldID"
      AND TO_CHAR("Value") IS NOT NULL
      AND NOT EXISTS(SELECT * 
					 FROM "SharedFields"
                     WHERE "ItemId" = "sf"."ItemId"
                           AND ("FieldId" = "excludeSubitemsFieldID"
                                OR "FieldId" = "proxyTypeFieldID"));

DELETE 
FROM "SharedFields"
WHERE  "FieldId" = "excludeSubitemsFieldID";

/*** Chaning ID and field values for "Exclude subitems" item ***/

update "Items"
set "ID" = "proxyTypeFieldID"
where "ID" = "excludeSubitemsFieldID";

update "VersionedFields"
set "ItemId" = "proxyTypeFieldID"
where "ItemId" = "excludeSubitemsFieldID";

update "UnversionedFields"
set "ItemId" = "proxyTypeFieldID"
where "ItemId" = "excludeSubitemsFieldID";

update "SharedFields"
set "ItemId" = "proxyTypeFieldID"
where "ItemId" = "excludeSubitemsFieldID";

-- Changing name to 'Proxy type'
update "Items" 
set "Name" = 'Proxy type'
where "ID" = "proxyTypeFieldID";

-- Changing field values
delete from "SharedFields"
where "ItemId" = "proxyTypeFieldID"
      AND ("FieldId" = '7DE641958CCE2542803D33F7F29F09EF'      /* Description */
            OR "FieldId" = '6A4918B1780F274AB55F0A6C4B0B0FE1'  /* Default value */
            OR "FieldId" = '32AEB81E90E1A644968DED904C794EBF'  /* source */
            OR "FieldId" = "fieldTypeFieldID");

delete from "UnversionedFields"
where "ItemId" = "proxyTypeFieldID"
	and "FieldId" = '7DE641958CCE2542803D33F7F29F09EF';

insert into "UnversionedFields" ("ItemId", "FieldId", "Value", "Created", "Updated", "Language")
values ("proxyTypeFieldID", '7DE641958CCE2542803D33F7F29F09EF', 'Which items will appear as descendents of the target item', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'en');

insert into "SharedFields" ("ItemId", "FieldId", "Value", "Created", "Updated")
values ("proxyTypeFieldID", '6A4918B1780F274AB55F0A6C4B0B0FE1', 'Entire sub-tree', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

insert into "SharedFields" ("ItemId", "FieldId", "Value", "Created", "Updated")
values ("proxyTypeFieldID", '32AEB81E90E1A644968DED904C794EBF', '/sitecore/system/Settings/Proxies/Proxy type', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

insert into "SharedFields" ("ItemId", "FieldId", "Value", "Created", "Updated")
values ("proxyTypeFieldID", "fieldTypeFieldID", 'Droplist', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);

end;