alter table "ITEMS" rename to "ItemsOld"
/
alter table "ItemsOld" drop constraint ITEMSID_UKEY
/
alter table "VERSIONEDFIELDS" rename to "VersionedFieldsOld"
/
alter table "UNVERSIONEDFIELDS" rename to "UnversionedFieldsOld"
/
alter table "SHAREDFIELDS" rename to "SharedFieldsOld"
/
alter table "IDTABLE" rename to "IDTableOld"
/
alter table "IDTableOld" drop constraint DF_IDTABLE_ID
/
alter table "PROPERTIES" rename to "PropertiesOld"
/
alter table "PropertiesOld" drop constraint DF_PROPERTIES_ID
/
alter table "HISTORY" rename to "HistoryOld"
/
alter table "HistoryOld" drop constraint DF_HISTORY_ID
/
alter table "WORKFLOWHISTORY" rename to "WorkflowHistoryOld"
/
alter table "WorkflowHistoryOld" drop constraint DF_WORKFLOWHISTORY_ID
/
alter table "SHADOWS" rename to "ShadowsOld"
/
drop table "CLIENTDATA"
/
drop table "LINKS"
/
drop table "PUBLISHQUEUE"
/
drop table "TASKS"
/
DROP INDEX  "DF_HISTORY_ID"
/
DROP INDEX  "DF_IDTABLE_ID"
/
DROP INDEX  "DF_PROPERTIES_ID"
/
DROP INDEX  "DF_WORKFLOWHISTORY_ID"
/
DROP INDEX  "ITEMSID_UKEY"
/
DROP INDEX  "NDXITEMIDUNVERSIONED"
/
DROP INDEX  "NDXITEMIDVERSIONED"
/
DROP INDEX  "NDXITEMIDWKFL"
/
DROP INDEX  "NDXKEYPROP"
/
DROP INDEX  "NDXNAME"
/
DROP INDEX  "NDXPARENTID"
/
DROP INDEX  "NDXSHFIELDS"
/
DROP INDEX  "NDXUNVERFIELDS"
/
DROP INDEX  "NDXVERFIELDS"
/
CREATE TABLE "Descendants"(
	"ID" CHAR(32) NULL,
	"Ancestor" CHAR(32) NOT NULL,
	"Descendant" CHAR(32) NOT NULL,
 CONSTRAINT "Descendants_PK" PRIMARY KEY  
(
	"Ancestor",
	"Descendant"
)
)
/
CREATE TABLE "Links"(
	"ID" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"SourceDatabase" NVARCHAR2(50) NULL,
	"SourceItemID" CHAR(32) NOT NULL,
	"SourceLanguage" NVARCHAR2(50) DEFAULT  ('') NULL,
	"SourceVersion" NUMBER(10,0) DEFAULT  ((0)) NOT NULL,
	"SourceFieldID" CHAR(32) NOT NULL,
	"TargetDatabase" NVARCHAR2(50) NULL,
	"TargetItemID" CHAR(32) NOT NULL,
	"TargetLanguage" NVARCHAR2(50) DEFAULT  ('') NULL,
	"TargetPath" NCLOB NULL
)
/
CREATE TABLE "AccessControl"(
	"Id" CHAR(32) NOT NULL,
	"EntityId" NVARCHAR2(255) NULL,
	"TypeName" NVARCHAR2(255) NULL,
	"AccessRules" NCLOB NULL,
 CONSTRAINT "PK_AccessControl" PRIMARY KEY  
(
	"Id"
)
)
/
CREATE TABLE "WorkflowHistory"(
	"ID" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"ItemID" CHAR(32) NOT NULL,
	"Language" NVARCHAR2(20) NULL,
	"Version" NUMBER(10,0) NOT NULL,
	"OldState" NVARCHAR2(200) NULL,
	"NewState" NVARCHAR2(200) NULL,
	"Text" NVARCHAR2(2000) NULL,
	"User" NVARCHAR2(100) NULL,
	"Date" TIMESTAMP(3) NOT NULL,
	"Sequence" NUMBER(10,0)  NOT NULL
)
/
CREATE TABLE "Tasks"(
	"ID" CHAR(32) NOT NULL,
	"NextRun" TIMESTAMP(3) NOT NULL,
	"taskType" NVARCHAR2(500) NULL,
	"Parameters" NCLOB NULL,
	"Recurrence" NVARCHAR2(200) NULL,
	"ItemID" CHAR(32) NOT NULL,
	"Database" NVARCHAR2(50) NULL,
	"Pending" NUMBER(10,0) NOT NULL,
	"Disabled" NUMBER(10,0) NOT NULL
)
/
CREATE TABLE "ClientData"(
	"ID" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"SessionKey" NVARCHAR2(50) NULL,
	"Data" NCLOB NULL,
	"Accessed" TIMESTAMP(3) NOT NULL
)
/
CREATE TABLE "Properties"(
	"ID" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"Key" NVARCHAR2(256) NULL,
	"Value" NCLOB NULL
)
/
CREATE TABLE "PublishQueue"(
	"ID" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"ItemID" CHAR(32) NOT NULL,
	"Language" NVARCHAR2(50) DEFAULT  ('en') NULL,
	"Version" NUMBER(10,0) DEFAULT  (1) NOT NULL,
	"Action" NVARCHAR2(50) DEFAULT  ('') NULL,
	"Date" TIMESTAMP(3) NOT NULL,
	"Index" NUMBER(10,0)  NOT NULL
)
/
CREATE TABLE "IDTable"(
	"ID" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"Prefix" NVARCHAR2(255) NULL,
	"Key" NVARCHAR2(255) NULL,
	"ParentID" CHAR(32) NOT NULL,
	"CustomData" NVARCHAR2(255) NULL
)
/
CREATE TABLE "Shadows"(
	"ID" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"ProxyID" CHAR(32) NOT NULL,
	"TargetID" CHAR(32) NOT NULL,
	"ShadowID" CHAR(32) NOT NULL
)
/
CREATE TABLE "SharedFields"(
	"Id" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"ItemId" CHAR(32) NOT NULL,
	"FieldId" CHAR(32) NOT NULL,
	"Value" NCLOB NULL,
	"Created" TIMESTAMP(3) NOT NULL,
	"Updated" TIMESTAMP(3) NOT NULL
) 
LOB("Value") STORE AS (ENABLE STORAGE IN ROW CHUNK 4K)
/
CREATE TABLE "UnversionedFields"(
	"Id" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"ItemId" CHAR(32) NOT NULL,
	"Language" NVARCHAR2(50) NULL,
	"FieldId" CHAR(32) NOT NULL,
	"Value" NCLOB NULL,
	"Created" TIMESTAMP(3) NOT NULL,
	"Updated" TIMESTAMP(3) NOT NULL
) 
LOB("Value") STORE AS (ENABLE STORAGE IN ROW CHUNK 4K)
/
CREATE TABLE "VersionedFields"(
	"Id" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"ItemId" CHAR(32) NOT NULL,
	"Language" NVARCHAR2(50) NULL,
	"Version" NUMBER(10,0) NOT NULL,
	"FieldId" CHAR(32) NOT NULL,
	"Value" NCLOB NULL,
	"Created" TIMESTAMP(3) NOT NULL,
	"Updated" TIMESTAMP(3) NOT NULL
) 
LOB("Value") STORE AS (ENABLE STORAGE IN ROW CHUNK 4K)
/
CREATE TABLE "Items"(
	"ID" CHAR(32) NOT NULL,
	"Name" NVARCHAR2(256) NULL,
	"TemplateID" CHAR(32) NOT NULL,
	"MasterID" CHAR(32) NOT NULL,
	"ParentID" CHAR(32) NOT NULL,
	"Created" TIMESTAMP(3) NOT NULL,
	"Updated" TIMESTAMP(3) NOT NULL
)
/
CREATE TABLE "History"(
	"Id" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"Category" NVARCHAR2(50) NULL,
	"Action" NVARCHAR2(50) NULL,
	"ItemId" CHAR(32) NOT NULL,
	"ItemLanguage" NVARCHAR2(50) NULL,
	"ItemVersion" NUMBER(10,0) NOT NULL,
	"ItemPath" NCLOB DEFAULT  ('') NULL,
	"UserName" NVARCHAR2(250) NULL,
	"TaskStack" NCLOB DEFAULT  ('') NULL,
	"AdditionalInfo" NCLOB DEFAULT  ('') NULL,
	"Created" TIMESTAMP(3) NOT NULL
)
/
CREATE TABLE "Blobs"(
	"Id" CHAR(32) DEFAULT  (SYS_GUID()) NOT NULL,
	"BlobId" CHAR(32) NOT NULL,
	"Index" NUMBER(10,0) NOT NULL,
	"Data" BLOB NULL,
	"Created" TIMESTAMP(3) NOT NULL
)
/
CREATE TABLE "Archive"(
	"ArchivalId" CHAR(32) NOT NULL,
	"ItemId" CHAR(32) NOT NULL,
	"ParentId" CHAR(32) NOT NULL,
	"Name" NVARCHAR2(256) NULL,
	"OriginalLocation" NCLOB NULL,
	"ArchiveDate" TIMESTAMP(3) NOT NULL,
	"ArchivedBy" NVARCHAR2(50) NULL,
	"ArchiveName" NVARCHAR2(50) NULL,
 CONSTRAINT "PK_Archive" PRIMARY KEY  
(
	"ArchivalId"
)
)
/
CREATE TABLE "ArchivedItems"(
	"RowId" CHAR(32) NOT NULL,
	"ArchivalId" CHAR(32) NOT NULL,
	"ItemId" CHAR(32) NOT NULL,
	"Name" NVARCHAR2(256) NULL,
	"TemplateID" CHAR(32) NOT NULL,
	"MasterID" CHAR(32) NOT NULL,
	"ParentID" CHAR(32) NOT NULL,
	"Created" TIMESTAMP(3) NOT NULL,
	"Updated" TIMESTAMP(3) NOT NULL
)
/
CREATE TABLE "ArchivedFields"(
	"RowId" CHAR(32) NOT NULL,
	"ArchivalId" CHAR(32) NOT NULL,
	"SharingType" NVARCHAR2(50) NULL,
	"ItemId" CHAR(32) NOT NULL,
	"Language" NVARCHAR2(50) NULL,
	"Version" NUMBER(10,0) NOT NULL,
	"FieldId" CHAR(32) NOT NULL,
	"Value" NCLOB NULL,
	"Created" TIMESTAMP(3) NOT NULL,
	"Updated" TIMESTAMP(3) NOT NULL
)
/
CREATE GLOBAL TEMPORARY TABLE "TemplateFields" ( "ID" CHAR(32) PRIMARY KEY) ON COMMIT DELETE ROWS
/
CREATE GLOBAL TEMPORARY TABLE "BlobReferences" ( "ID" CHAR(32) PRIMARY KEY) ON COMMIT DELETE ROWS
/
CREATE VIEW "Fields"
AS
SELECT     "Id", "ItemId", NULL "Language", "FieldId", "Value", "Created", "Updated"
FROM         "SharedFields"
UNION ALL
SELECT     "Id", "ItemId", "Language", "FieldId", "Value", "Created", "Updated"
FROM         "UnversionedFields"
UNION ALL
SELECT     "vf"."Id", "vf"."ItemId", "vf"."Language", "vf"."FieldId", "vf"."Value", "vf"."Created", "vf"."Updated"
FROM         
   "VersionedFields" "vf" 
INNER JOIN (SELECT     "ItemId", "Language", MAX("Version") "Version"
                FROM          "VersionedFields" "vf1"
                GROUP BY "ItemId", "Language") "b"
       ON ("vf"."ItemId" = "b"."ItemId" AND "vf"."Language" = "b"."Language" AND "vf"."Version" = "b"."Version")
/
DROP SEQUENCE INDEX_SEQ
/
CREATE SEQUENCE INDEX_SEQ INCREMENT BY 1 START WITH 
    1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE 
    CACHE 20 NOORDER
/
DROP SEQUENCE WORKWFLOW_SEQ
/
CREATE SEQUENCE WORKWFLOW_SEQ INCREMENT BY 1 START WITH 
    1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE 
    CACHE 20 NOORDER
/
INSERT INTO "Items" ("ID", "Name", "TemplateID", "MasterID", "ParentID", "Created", "Updated")
SELECT "ID", "NAME", "TEMPLATEID", "MASTERID", "PARENTID", "CREATED", "UPDATED"
FROM "ItemsOld"
/
DROP TABLE "ItemsOld"
/
INSERT INTO "Properties" ("ID", "Key", "Value")
SELECT "ID", "KEY", "VALUE"
FROM "PropertiesOld"
/
DROP TABLE "PropertiesOld"
/
INSERT INTO "History" ("Id", "Category", "Action", "ItemId", "ItemLanguage", "ItemVersion", "ItemPath", "UserName", "TaskStack", "AdditionalInfo", "Created")
SELECT "ID", "CATEGORY", "ACTION", "ITEMID", "ITEMLANGUAGE", "ITEMVERSION", "ITEMPATH", "USERNAME", "TASKSTACK", "ADDITIONALINFO", "CREATED"
FROM "HistoryOld"
/
DROP TABLE "HistoryOld"
/
INSERT INTO "WorkflowHistory" ("ID", "ItemID", "Language", "Version", "OldState", "NewState", "Text", "User", "Date", "Sequence")
SELECT "ID", "ITEMID", "LANGUAGE", "VERSION", "OLDSTATE", "NEWSTATE", "TEXT", "User", "Date", "SEQUENCE"
FROM "WorkflowHistoryOld"
/
DROP TABLE "WorkflowHistoryOld"
/
INSERT INTO "Shadows" ("ID", "ProxyID", "TargetID", "ShadowID")
SELECT "ID", "PROXYID", "TARGETID", "SHADOWID"
FROM "ShadowsOld"
/
DROP TABLE "ShadowsOld"
/
INSERT INTO "IDTable" ("ID", "Prefix", "Key", "ParentID", "CustomData")
SELECT "ID", "PREFIX", "KEY", "PARENTID", "CUSTOMDATA"
FROM "IDTableOld"
/
DROP TABLE "IDTableOld"
/
INSERT INTO "UnversionedFields" ("Id", "ItemId", "Language", "FieldId", "Value", "Created", "Updated")
SELECT "ID", "ITEMID", "LANGUAGE","FIELDID", "NVALUE", "CREATED", "UPDATED"
FROM "UnversionedFieldsOld"
/
INSERT INTO "VersionedFields" ("Id", "ItemId", "Language", "Version", "FieldId", "Value", "Created", "Updated")
SELECT "ID", "ITEMID", "LANGUAGE", "VERSION", "FIELDID", "NVALUE", "CREATED", "UPDATED"
FROM "VersionedFieldsOld"
/
INSERT INTO "SharedFields" ("Id", "ItemId", "FieldId", "Value", "Created", "Updated")
SELECT "ID", "ITEMID", "FIELDID", "NVALUE", "CREATED", "UPDATED"
FROM "SharedFieldsOld"
/
CREATE  INDEX "Descendant_Descendants" ON "Descendants" 
(
	"Descendant"
)
/
CREATE UNIQUE  INDEX "ndxID_Links" ON "Links" 
(
	"ID"
)
/
CREATE  INDEX "ndxSourceItemID_Links" ON "Links" 
(
	"SourceItemID"
)
/
CREATE  INDEX "ndxTargetItemID_Links" ON "Links" 
(
	"TargetItemID"
)
/
CREATE UNIQUE  INDEX "IX_AccessControl_AccessControl" ON "AccessControl" 
(
	"EntityId",
	"TypeName"
)
/
CREATE UNIQUE  INDEX "ndxID_WorkflowHistory" ON "WorkflowHistory" 
(
	"ID"
)
/
CREATE  INDEX "ndxItemID_WorkflowHistory" ON "WorkflowHistory" 
(
	"ItemID"
)
/
CREATE UNIQUE  INDEX "ndxID_Tasks" ON "Tasks" 
(
	"ID"
)
/
CREATE UNIQUE  INDEX "ndxID_ClientData" ON "ClientData" 
(
	"ID"
)
/
CREATE  INDEX "ndxKey_ClientData" ON "ClientData" 
(
	"SessionKey"
)
/
CREATE UNIQUE  INDEX "ndxID_Properties" ON "Properties" 
(
	"ID"
)
/
CREATE  INDEX "ndxKey_Properties" ON "Properties" 
(
	"Key"
)
/
CREATE  INDEX "ndxDate_PublishQueue" ON "PublishQueue" 
(
	"Date"
)
/
CREATE UNIQUE  INDEX "ndxID_PublishQueue" ON "PublishQueue" 
(
	"ID"
)
/
CREATE UNIQUE  INDEX "ndxID_IDTable" ON "IDTable" 
(
	"ID"
)
/
CREATE  INDEX "ndxPrefixKey_IDTable" ON "IDTable" 
(
	"Prefix",
	"Key"
)
/
CREATE  INDEX "ndxProxyTarget_Shadows" ON "Shadows" 
(
	"ProxyID",
	"TargetID"
)
/
CREATE  INDEX "ndxShadowID_Shadows" ON "Shadows" 
(
	"ShadowID"
)
/
CREATE  INDEX "ndxTargetID_Shadows" ON "Shadows" 
(
	"TargetID"
)
/
CREATE UNIQUE  INDEX "ndxUnique_SharedFields" ON "SharedFields" 
(
	"ItemId",
	"FieldId"
)
/
CREATE UNIQUE  INDEX "ndxUnique_UnversionedFields" ON "UnversionedFields" 
(
	"ItemId",
	"Language",
	"FieldId"
)
/
CREATE UNIQUE  INDEX "ndxUnique_VersionedFields" ON "VersionedFields" 
(
	"ItemId",
	"Language",
	"Version",
	"FieldId"
)
/
CREATE UNIQUE  INDEX "ndxID_Items" ON "Items" 
(
	"ID"
)
/
CREATE  INDEX "ndxName_Items" ON "Items" 
(
	"Name"
)
/
CREATE  INDEX "ndxParentID_Items" ON "Items" 
(
	"ParentID"
)
/
CREATE  INDEX "ndxTemplateID_Items" ON "Items" 
(
	"TemplateID"
)
/
CREATE  INDEX "ndxCreated_History" ON "History" 
(
	"Created"
)
/
CREATE  INDEX "ndxBlobId_Blobs" ON "Blobs" 
(
	"BlobId"
)
/
CREATE  INDEX "ndx_ItemId_Archive" ON "Archive" 
(
	"ItemId"
)
/
CREATE  INDEX "ndx_ArchivalId_ArchivedItems" ON "ArchivedItems" 
(
	"ArchivalId"
)
/
CREATE  INDEX "ndx_ArchivalId_ArchivedFields" ON "ArchivedFields" 
(
	"ArchivalId"
)
/
CREATE OR REPLACE TRIGGER PQINDEX BEFORE
INSERT ON "PublishQueue" FOR EACH ROW 
begin
    if :new."Index" is null then
        select INDEX_SEQ.nextval into :new."Index" from dual;
    end if;
end;
/
CREATE TRIGGER WORKFLOW_INDEX BEFORE
INSERT ON "WorkflowHistory" FOR EACH ROW 
begin
    if :new."Sequence" is null then
        select WORKWFLOW_SEQ.nextval into :new."Sequence" from dual;
    end if;
end;