DECLARE @excludeSubitemsFieldID uniqueidentifier
DECLARE @proxyTypeFieldID uniqueidentifier
DECLARE @sourceItemFieldID uniqueidentifier
DECLARE @fieldTypeFieldID uniqueidentifier

SET @excludeSubitemsFieldID = '{663EDEB2-9C25-4A76-BF47-28BA531F7EA8}'
SET @proxyTypeFieldID = '{E4A55896-CF58-4C9C-8284-F01B141B0E85}'
SET @sourceItemFieldID = '{C5211535-E9A7-4214-84BC-93F240A23602}'
SET @fieldTypeFieldID = '{AB162CC0-DC80-4ABF-8871-998EE5D7BA32}';

BEGIN TRAN

INSERT INTO [SharedFields] ([ItemId], [FieldId], [Value], [Created], [Updated])
SELECT [ItemId],
       @proxyTypeFieldID, 
       CASE [Value] 
         WHEN '1' THEN 'Root item only'
         ELSE 'Entire sub-tree'
        END,
       [Created],
       [Updated]
FROM [SharedFields] 
WHERE [FieldId] = @excludeSubitemsFieldID
UNION
-- Default value for 'Exclude Subitems' was 'false'
SELECT [ItemId],
       @proxyTypeFieldID, 
	   'Entire sub-tree',
	   [Created],
       [Updated]
FROM [SharedFields] as sf
WHERE [FieldId] = @sourceItemFieldID
      AND [Value] != ''
      AND NOT EXISTS(SELECT * 
					 FROM [SharedFields]
                     WHERE [ItemId] = sf.[ItemId]
                           AND ([FieldId] = @excludeSubitemsFieldID 
                                OR [FieldId] = @proxyTypeFieldID))

DELETE 
FROM [SharedFields]
WHERE  [FieldId] = @excludeSubitemsFieldID

COMMIT TRAN


/*** Chaning ID and field values for "Exclude subitems" item ***/

update [Items]
set [ID] = @proxyTypeFieldID
where [ID] = @excludeSubitemsFieldID

update [VersionedFields]
set [ItemId] = @proxyTypeFieldID
where [ItemId] = @excludeSubitemsFieldID

update [UnversionedFields]
set [ItemId] = @proxyTypeFieldID
where [ItemId] = @excludeSubitemsFieldID

update [SharedFields]
set [ItemId] = @proxyTypeFieldID
where [ItemId] = @excludeSubitemsFieldID

-- Changing name to 'Proxy type'
update [Items] 
set [Name] = 'Proxy type'
where [ID] = @proxyTypeFieldID

-- Changing field values
delete from [SharedFields]
where [ItemId] = @proxyTypeFieldID
      AND ([FieldId] = '{9541E67D-CE8C-4225-803D-33F7F29F09EF}'      /* Desctiption */
            OR [FieldId] = '{B118496A-0F78-4A27-B55F-0A6C4B0B0FE1}'  /* Default value */
            OR [FieldId] = '{1EB8AE32-E190-44A6-968D-ED904C794EBF}'  /* source */
            OR [FieldId] = @fieldTypeFieldID)

delete from [UnversionedFields]
where [ItemId] = @proxyTypeFieldID 
  and [FieldId] = '{9541E67D-CE8C-4225-803D-33F7F29F09EF}'

insert into [UnversionedFields] ([ItemId], [FieldId], [Value], [Created], [Updated], [Language])
values (@proxyTypeFieldID, '{9541E67D-CE8C-4225-803D-33F7F29F09EF}', 'Which items will appear as descendents of the target item', GetDate(), GetDate(), 'en')

insert into [SharedFields] ([ItemId], [FieldId], [Value], [Created], [Updated])
values (@proxyTypeFieldID, '{B118496A-0F78-4A27-B55F-0A6C4B0B0FE1}', 'Entire sub-tree', GetDate(), GetDate())

insert into [SharedFields] ([ItemId], [FieldId], [Value], [Created], [Updated])
values (@proxyTypeFieldID, '{1EB8AE32-E190-44A6-968D-ED904C794EBF}', '/sitecore/system/Settings/Proxies/Proxy type', GetDate(), GetDate())

insert into [SharedFields] ([ItemId], [FieldId], [Value], [Created], [Updated])
values (@proxyTypeFieldID, @fieldTypeFieldID, 'Droplist', GetDate(), GetDate())