/* 
 * Purpose: Create indexes on updated v5.3 databases
 *
 * After the conversion, use SQL Server Management Studio to execute these SQL statements 
 * on each of the V5.3 databases that has been converted to V6 format. 
 *
 */


/****** Object:  Index [ndx_ItemId]    Script Date: 08/28/2008 10:24:15 ******/
CREATE NONCLUSTERED INDEX [ndx_ItemId] ON [dbo].[Archive] 
(
	[ItemId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndx_ArchivalId]    Script Date: 08/28/2008 10:25:05 ******/
CREATE NONCLUSTERED INDEX [ndx_ArchivalId] ON [dbo].[ArchivedFields] 
(
	[ArchivalId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndx_ArchivalId]    Script Date: 08/28/2008 10:25:28 ******/
CREATE NONCLUSTERED INDEX [ndx_ArchivalId] ON [dbo].[ArchivedItems] 
(
	[ArchivalId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:26:53 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[ClientData] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxKey]    Script Date: 08/28/2008 10:27:01 ******/
CREATE NONCLUSTERED INDEX [ndxKey] ON [dbo].[ClientData] 
(
	[SessionKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [Ancestor]    Script Date: 08/28/2008 10:27:19 ******/
CREATE NONCLUSTERED INDEX [Ancestor] ON [dbo].[Descendants] 
(
	[Ancestor] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [Descendant]    Script Date: 08/28/2008 10:27:25 ******/
CREATE NONCLUSTERED INDEX [Descendant] ON [dbo].[Descendants] 
(
	[Descendant] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxCreated]    Script Date: 08/28/2008 10:27:42 ******/
CREATE NONCLUSTERED INDEX [ndxCreated] ON [dbo].[History] 
(
	[Created] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:27:55 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[IDTable] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxPrefixKey]    Script Date: 08/28/2008 10:28:02 ******/
CREATE NONCLUSTERED INDEX [ndxPrefixKey] ON [dbo].[IDTable] 
(
	[Prefix] ASC,
	[Key] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:29:22 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[Items] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxName]    Script Date: 08/28/2008 10:29:33 ******/
CREATE NONCLUSTERED INDEX [ndxName] ON [dbo].[Items] 
(
	[Name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxParentID]    Script Date: 08/28/2008 10:29:43 ******/
CREATE NONCLUSTERED INDEX [ndxParentID] ON [dbo].[Items] 
(
	[ParentID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxTemplateID]    Script Date: 08/28/2008 10:29:50 ******/
CREATE NONCLUSTERED INDEX [ndxTemplateID] ON [dbo].[Items] 
(
	[TemplateID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:30:00 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[Links] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxSourceItemID]    Script Date: 08/28/2008 10:30:08 ******/
CREATE NONCLUSTERED INDEX [ndxSourceItemID] ON [dbo].[Links] 
(
	[SourceItemID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxTargetItemID]    Script Date: 08/28/2008 10:30:15 ******/
CREATE NONCLUSTERED INDEX [ndxTargetItemID] ON [dbo].[Links] 
(
	[TargetItemID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:30:26 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[Properties] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxKey]    Script Date: 08/28/2008 10:30:32 ******/
CREATE NONCLUSTERED INDEX [ndxKey] ON [dbo].[Properties] 
(
	[Key] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxDate]    Script Date: 08/28/2008 10:30:41 ******/
CREATE NONCLUSTERED INDEX [ndxDate] ON [dbo].[PublishQueue] 
(
	[Date] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:30:47 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[PublishQueue] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxProxyTarget]    Script Date: 08/28/2008 10:30:56 ******/
CREATE NONCLUSTERED INDEX [ndxProxyTarget] ON [dbo].[Shadows] 
(
	[ProxyID] ASC,
	[TargetID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxShadowID]    Script Date: 08/28/2008 10:31:04 ******/
CREATE NONCLUSTERED INDEX [ndxShadowID] ON [dbo].[Shadows] 
(
	[ShadowID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxTargetID]    Script Date: 08/28/2008 10:31:09 ******/
CREATE NONCLUSTERED INDEX [ndxTargetID] ON [dbo].[Shadows] 
(
	[TargetID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxItemID]    Script Date: 08/28/2008 10:31:23 ******/
CREATE CLUSTERED INDEX [ndxItemID] ON [dbo].[SharedFields] 
(
	[ItemId] ASC
)WITH (PAD_INDEX  = ON, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF, FILLFACTOR = 50) ON [PRIMARY]

/****** Object:  Index [ndxUnique]    Script Date: 08/28/2008 10:31:29 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxUnique] ON [dbo].[SharedFields] 
(
	[ItemId] ASC,
	[FieldId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:31:39 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[Tasks] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxItemID]    Script Date: 08/28/2008 10:31:47 ******/
CREATE CLUSTERED INDEX [ndxItemID] ON [dbo].[UnversionedFields] 
(
	[ItemId] ASC
)WITH (PAD_INDEX  = ON, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF, FILLFACTOR = 50) ON [PRIMARY]

/****** Object:  Index [ndxLookup]    Script Date: 08/28/2008 10:31:52 ******/
CREATE NONCLUSTERED INDEX [ndxLookup] ON [dbo].[UnversionedFields] 
(
	[ItemId] ASC,
	[Language] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxUnique]    Script Date: 08/28/2008 10:32:01 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxUnique] ON [dbo].[UnversionedFields] 
(
	[ItemId] ASC,
	[Language] ASC,
	[FieldId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxItemID]    Script Date: 08/28/2008 10:32:13 ******/
CREATE CLUSTERED INDEX [ndxItemID] ON [dbo].[VersionedFields] 
(
	[ItemId] ASC
)WITH (PAD_INDEX  = ON, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF, FILLFACTOR = 50) ON [PRIMARY]

/****** Object:  Index [ndxLookup]    Script Date: 08/28/2008 10:32:20 ******/
CREATE NONCLUSTERED INDEX [ndxLookup] ON [dbo].[VersionedFields] 
(
	[ItemId] ASC,
	[Language] ASC,
	[Version] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxUnique]    Script Date: 08/28/2008 10:32:27 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxUnique] ON [dbo].[VersionedFields] 
(
	[ItemId] ASC,
	[Language] ASC,
	[Version] ASC,
	[FieldId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxID]    Script Date: 08/28/2008 10:32:38 ******/
CREATE UNIQUE NONCLUSTERED INDEX [ndxID] ON [dbo].[WorkflowHistory] 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [ndxItemID]    Script Date: 08/28/2008 10:32:44 ******/
CREATE NONCLUSTERED INDEX [ndxItemID] ON [dbo].[WorkflowHistory] 
(
	[ItemID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]

/****** Object:  Index [PK_Archive]    Script Date: 08/28/2008 10:24:34 ******/
/*
ALTER TABLE [dbo].[Archive] ADD  CONSTRAINT [PK_Archive] PRIMARY KEY CLUSTERED 
(
	[ArchivalId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
*/

/****** Object:  Index [Descendants_PK]    Script Date: 08/28/2008 10:27:31 ******/
/*
ALTER TABLE [dbo].[Descendants] ADD  CONSTRAINT [Descendants_PK] PRIMARY KEY CLUSTERED 
(
	[Ancestor] ASC,
	[Descendant] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
*/
